Home  
Login
Username:

Password:

Remember me



Lost Password?

Register now!
Sections
Who's Online
95 user(s) are online (71 user(s) are browsing Forums)

Members: 1
Guests: 94

TheDaddy, more...
Support us!
Recent OS4 Files
OS4Depot.net



(1) 2 »


Descent Freespace is no longer compatible with the latest Radeon, Warp3D, minigl and AOS4.1FE
Just popping in
Joined:
2014/11/21 2:30
From Israel
Posts: 116
Descent Freespace is no longer compatible with the latest Radeon, Warp3D, minigl and AOS4.1FE.

I get a DSI after the first movie and after clicking "ignore" sometimes the second movie from the intro plays till the end, and sometimes I get a freeze. It doesn't matter because right afterwards I get a blinking screen with nothing on it. Using software acceleration presents a game picture with completely distorted colors after the second intro movie. I also tried various configurations like no joystick or reduced memory for graphics and sound and this got me as far as the blinking game screen.

I'm using a X1000 with Radeon R9 270 (Southern Islands).

I can confirm everything mentioned above (hd driver, Warp3D, etc) works with recent software and games

Crash log: http://www.megafileupload.com/ikV4/Cr ... e_2015-12-27_20-14-31.txt


Edited by Srtest on 2015/12/27 20:45:04
Edited by Srtest on 2015/12/27 21:21:01
Edited by Srtest on 2015/12/27 21:21:35
   Report Go to top

Re: Descent Freespace is no longer compatible with the latest Radeon, Warp3D, minigl and AOS4.1FE
Quite a regular
Joined:
2013/10/17 15:21
From Hungary
Posts: 534
You'd better wait for an official OS4 update for Freespace from Hyperion.

_________________
I see the jimmies have been rustled.
   Report Go to top

Re: Descent Freespace is no longer compatible with the latest Radeon, Warp3D, minigl and AOS4.1FE
Just popping in
Joined:
2014/11/21 2:30
From Israel
Posts: 116
@BSzili

Didn't know they were working on older titles. Did a great job with Gorky 17.

   Report Go to top

Re: Descent Freespace is no longer compatible with the latest Radeon, Warp3D, minigl and AOS4.1FE
Home away from home
Joined:
2009/7/7 3:34
From Toronto, Canada
Posts: 2192
@Srtest

was just about to say that Freespace is working great with my X1k and Radeon HD 7950 BUT then just remembered it's FreeSpace 2 and not the Hyperion port. Anyhow FWIW Freepace 2 has no issues here.

_________________
_______________________________
c64-dual sids, A1000, A1200-060@50, A4000-CSMKIII
Indivision AGA & Catweasel MK4+= Amazing
! My Master Miggies-Amiga1000 & AmigaONE X1000 !
mancave-ramblings

   Report Go to top

Re: Descent Freespace is no longer compatible with the latest Radeon, Warp3D, minigl and AOS4.1FE
Just popping in
Joined:
2011/6/3 12:49
Posts: 184
Warp3D V5.x from OS4.x is not truly compatible with Warp3D V4.x from OS3.x
So 3D stuff made before Warp3D V5 may have problems

Have you tried this:
http://aminet.net/package/driver/video/PatchWarp3D

Alain Thellier

   Report Go to top

Re: Descent Freespace is no longer compatible with the latest Radeon, Warp3D, minigl and AOS4.1FE
Just popping in
Joined:
2014/11/21 2:30
From Israel
Posts: 116
@328gts

It's easy to differentiate between the 2 as Freespace 2 dropped the Descent series/engine's name.

I played the first one about a decade before and it was a unique experience and was really looking forward to play it on an A1.

@thellier

I am familiar with all the patches and I'm worried that they may interfere with what worked with Warp3D_si which is pretty much everything made for Warp3D and OS4. Nontheless I tried your patch and it didn't work - after the first intro movie I got a DSI (added the crash log on the first post), and after the second one the blinking/rotating screen appeared which had a still picture with almost nothing on it. Thank you anyway.

Edit: now tried the patch with Cow3D and lost 100 points (about 176 average without "b") and afterwards when trying to cancel it with ctrl-c the desktop froze :-/


Edited by Srtest on 2015/12/28 13:41:16
   Report Go to top

Re: Descent Freespace is no longer compatible with the latest Radeon, Warp3D, minigl and AOS4.1FE
Just popping in
Joined:
2007/12/12 7:13
From Maldegem
Posts: 36
Work is being undertaken to update this title, stay tuned :)


   Report Go to top

Re: Descent Freespace is no longer compatible with the latest Radeon, Warp3D, minigl and AOS4.1FE
Just popping in
Joined:
2008/9/20 22:38
Posts: 79
would like to see expansion work on Amiga if possible, this site shows Silent Threat was updated last year.

http://fsport.hard-light.net/website/

   Report Go to top

Re: Descent Freespace is no longer compatible with the latest Radeon, Warp3D, minigl and AOS4.1FE
Quite a regular
Joined:
2013/10/17 15:21
From Hungary
Posts: 534
@delshay
What you linked is the unofficial port of the Descent: FreepSpace content to the FreeSpace 2 engine.

_________________
I see the jimmies have been rustled.
   Report Go to top

Re: Descent Freespace is no longer compatible with the latest Radeon, Warp3D, minigl and AOS4.1FE
Just popping in
Joined:
2008/9/20 22:38
Posts: 79
@BSzili

I do have the original Silent Threat CD expansion pack for Freespace & also the special edition Freespace 2, 3x CD's where only 2000 was release if I remember correctly.

Freespace 2 "special edition" has extra missions built-in.



Edited by delshay on 2016/1/5 6:46:10
   Report Go to top

Re: Descent Freespace is no longer compatible with the latest Radeon, Warp3D, minigl and AOS4.1FE
Just popping in
Joined:
2014/11/21 2:30
From Israel
Posts: 116
@SimplePPC

If you actually port the Freespace on Freespace 2 project with the Freespace open engine and maybe throw in The Babylon Project fan game with it I'll be willing to pay again for the same title. Just for completeness and coming full circle

   Report Go to top

Re: Descent Freespace is no longer compatible with the latest Radeon, Warp3D, minigl and AOS4.1FE
Quite a regular
Joined:
2013/10/17 15:21
From Hungary
Posts: 534
@Srtest
FreeSpace 2 is open source, and was already ported to OS4:
http://www.amigasoft.net/freespace/

_________________
I see the jimmies have been rustled.
   Report Go to top

Re: Descent Freespace is no longer compatible with the latest Radeon, Warp3D, minigl and AOS4.1FE
Just popping in
Joined:
2014/11/21 2:30
From Israel
Posts: 116
@BSzili

Yes I know, I'm talking about FSopen engine and the conversion of FS on the FS2 engine which uses the FSopen engine. Also, if a conversion of FS2 exists does that mean mods can be executed on it?

   Report Go to top

Re: Descent Freespace is no longer compatible with the latest Radeon, Warp3D, minigl and AOS4.1FE
Quite a regular
Joined:
2013/10/17 15:21
From Hungary
Posts: 534
@Srtest
I have no idea what the "FSopen engine" is. The above is a port of FSSCP (FreeSpace Source Code Project) which spawned from the source code release of FreeSpace 2.

_________________
I see the jimmies have been rustled.
   Report Go to top

Re: Descent Freespace is no longer compatible with the latest Radeon, Warp3D, minigl and AOS4.1FE
Just popping in
Joined:
2014/11/21 2:30
From Israel
Posts: 116
@BSzili

http://www.hard-light.net/forums/index.php?topic=89121.0

Usually I'm not much for mods except for special titles like this one.

   Report Go to top

Re: Descent Freespace is no longer compatible with the latest Radeon, Warp3D, minigl and AOS4.1FE
Site Builder
Joined:
2006/12/2 23:57
From Athens
Posts: 413
@Srtest
I had the same problems but I managed to make it run. Check the comment I left at the Hyperio's forum.

http://forum.hyperion-entertainment.biz/viewtopic.php?f=22&t=2965

   Report Go to top

Re: Descent Freespace is no longer compatible with the latest Radeon, Warp3D, minigl and AOS4.1FE
Just popping in
Joined:
2014/11/21 2:30
From Israel
Posts: 116
@walkero

Did you install the previous patch before the latest one? because without using the updated installer I can't even install the game. Installing the game and then using the previous patch didn't work for me and it did load the intros.

   Report Go to top

Re: Descent Freespace is no longer compatible with the latest Radeon, Warp3D, minigl and AOS4.1FE
Site Builder
Joined:
2006/12/2 23:57
From Athens
Posts: 413
@Srtest
I installed the game with the latest available patch and then used the previous version executable from the fs_os4_upd.lha update... If I am wrong, the updates aren't patches to the main executable, but newer executable files. So you do not patch the installed game...

   Report Go to top

Re: Descent Freespace is no longer compatible with the latest Radeon, Warp3D, minigl and AOS4.1FE
Just popping in
Joined:
2014/11/21 2:30
From Israel
Posts: 116
@walkero

Hey man thanks! I tried it before with the launcher (that what you said in the post on the Hyperion forums - launcher and don't choose joystick) and this time using the exe file it worked! and indeed it is faster which might implies it using the driver. Anyway, there is a second configuration file inside the drawer and I changed it from software to Warp3D.

   Report Go to top

Re: Descent Freespace is no longer compatible with the latest Radeon, Warp3D, minigl and AOS4.1FE
Site Builder
Joined:
2006/12/2 23:57
From Athens
Posts: 413
Hope Hyperion will find some time to update the Freespace, because it seems that the problem is somewhere in the last update, which doesn't exist at the previous. This might be easy to track down and fix it...

   Report Go to top


(1) 2 »



[Advanced Search]


Powered by XOOPS 2.0 © 2001-2016 The XOOPS Project